# Uses of Interface
org.eclipse.emf.cdo.lm.security.LMSecurityFactory

Packages that use LMSecurityFactory
Package
Description
org.eclipse.emf.cdo.lm.security
The generated EMF API of the CDO Lifecycle Management Security model.
org.eclipse.emf.cdo.lm.security.impl
The generated EMF implementation of the CDO Lifecycle Management Security model.

## Uses of LMSecurityFactory in org.eclipse.emf.cdo.lm.security

Fields in org.eclipse.emf.cdo.lm.security declared as LMSecurityFactory
Modifier and Type
Field
Description
`static final LMSecurityFactory`
LMSecurityFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.lm.security that return LMSecurityFactory
Modifier and Type
Method
Description
`LMSecurityFactory`
LMSecurityPackage.`getLMSecurityFactory()`
Returns the factory that creates the instances of the model.

## Uses of LMSecurityFactory in org.eclipse.emf.cdo.lm.security.impl

Classes in org.eclipse.emf.cdo.lm.security.impl that implement LMSecurityFactory
Modifier and Type
Class
Description
`class`
`LMSecurityFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.lm.security.impl that return LMSecurityFactory
Modifier and Type
Method
Description
`LMSecurityFactory`
LMSecurityPackageImpl.`getLMSecurityFactory()`
`static LMSecurityFactory`
LMSecurityFactoryImpl.`init()`
Creates the default factory implementation.